<!DOCTYPE html>
<html>
<meta charset="UTF-8">
<meta lang="en">
<title>ZigZag Upwards</title>
<link rel="icon" type="image/png" href="zigzagup.png">
<link rel="stylesheet" href="zigzagup.css">
<script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha256-4+XzXVhsDmqanXGHaHvgh1gMQKX40OUvDEBTu8JcmNs=" crossorigin="anonymous"></script>
<script src="zigzagup.js"></script>

<body>
    <form>
        <table width="100%">
            <tr>
                <td width="12%" style="text-align: left">
                    <a href="bg" title="Language">Български</a>
                </td>
                <td width="16%" style="text-align: center">
                    <button type="reset" title="Enter ZigZag Up description in the field">Default text</button>
                </td>
                <td width="22%" style="text-align: right">
                    <button type="button" title="Bring in the input text from distance to vicinity" onclick="switchVisibility('still', 'scroll'); zigzagup('#scroll'); runAnimation('scroll')">
                        <b>Zigzag in perspective</b>
                    </button>
                </td>
                <td width="26%" style="text-align: left">
                    <button type="button" title="Write out the input text" autofocus="true" onclick="switchVisibility('scroll', 'still'); zigzagup('#still')">
                        <b>Zigzag from the bottom up</b>
                    </button>
                </td>
                <td width="16%" style="text-align: center">
                    <button type="button" title="Clear the input field" onclick="document.getElementById('input').value=''">Remove input</button>
                </td>
                <td width="8%" style="text-align: right">
                    <a href="about" title="Information on this project">About</a>
                </td>
            </tr>
        </table>
        <br>
        <textarea id="input" title="Text for writing out" cols="120" rows="5">Zigzag writing and reading from the bottom up: The text starts from the bottom or the near end, and its rows go upwards or forward, the way a ladder is climbed or a road is walked. Each new line continues from the very side to which its preceding one has ended – right or left – and is written towards the opposite direction – left or right respectively, the letters being mirrored horizontally. This way the text flows smoothly graphically as well as logically. The direction of the attention of a person reading zigzag-written text alternates like their steps when walking – left with right.</textarea>
    </form>
    <br>
    <div class="output">
        <p id="still" />
        <div class="perspective">
            <p id="scroll" />
        </div>
    </div>
</body>

</html>
